Bug 1623 - Retain history of approved comments
Summary: Retain history of approved comments
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-26 05:08 UTC by Owen Leonard
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (6.67 KB, patch)
2011-11-28 18:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 1623 - Provide view of approved comments (6.68 KB, patch)
2011-12-04 02:01 UTC, Chris Cormack
Details | Diff | Splinter Review
Rebased/Passed QA patch (6.88 KB, patch)
2011-12-21 22:22 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:32:43 UTC


---- Reported by oleonard@myacpl.org 2007-11-26 17:08:05 ----

The staff interface for approving reviews/comments should retain the list of previously approved comments, if only because without that functionality there is no way for the librarian to delete a previously-approved comment.

To do it right, of course, you'd have to build it to return the last X reviews with numbered links to previous X reviews.



---- Additional Comments From nengard@gmail.com 2009-12-28 00:31:37 ----

I too think this should be implemented - reviewing comments should be like reviewing tags - where a list is retained.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:32 UTC  ---

This bug was previously known as _bug_ 1623 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1623

Actual time not defined. Setting to 0.0

Comment 1 Owen Leonard 2011-11-28 18:01:20 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-12-04 02:01:46 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2011-12-21 22:22:35 UTC
Created attachment 6913 [details] [review]
Rebased/Passed QA patch

Passed QA after rebase (some interface changes to numberofreviews had snuck in, making this patches changes there unnecessary).

Documentation for C4/Review.pm also updated
Comment 4 Paul Poulain 2011-12-27 17:28:44 UTC
patch pushed, please test
Comment 5 Nicole C. Engard 2011-12-27 17:53:28 UTC
looks and works awesome!